Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface MO

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY

All Known Subinterfaces:
  IVLMO, IVXBMO, SXCMMO

All Known Implementing Classes:
  IVLMOImpl, IVXBMOImpl, MOImpl, SXCMMOImpl

    public interface MO

extends QTY

A representation of the model object 'MO'. A monetary amount is a quantity expressing the amount of money in some currency. Currencies are the units in which monetary amounts are denominated in different economic regions. While the monetary amount is a single kind of quantity (money) the exchange rates between the different units are variable. This is the principle difference between physical quantity and monetary amounts, and the reason why currency units are not physical units.

The following features are supported:

- `Currency`
- `Value`

See Also:
  `CDAR2Package.getMO()`

Method Summary
`java.lang.String` | `getCurrency()` Returns the value of the 'Currency' attribute.
`java.lang.Object` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setCurrency(java.lang.String value)` Sets the value of the '`Currency`' attribute.
`void` | `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCurrency

    java.lang.String getCurrency()

  Returns the value of the 'Currency' attribute. The currency unit as defined in ISO 4217.

  Returns:
    the value of the 'Currency' attribute.
  See Also:
    `setCurrency(String)`, `CDAR2Package.getMO_Currency()`

### setCurrency

    void setCurrency(java.lang.String value)

  Sets the value of the '`Currency`' attribute.

  Parameters:
    `value` - the new value of the 'Currency' attribute.
  See Also:
    `getCurrency()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute. The magnitude of the monetary amount in terms of the currency unit.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `CDAR2Package.getMO_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD